
#include <iostream> 
#include <cmath>

using namespace std;

class MoyenneEcartType {
	public:


	static double Moyenne(double* t, int length) {
		double somme =0.0;
		for (int i=0; i<length; i++) somme += t[i];
		return somme/length;
	}

	static double EcartType(double* t, int length) {
		double moyenne = Moyenne(t, length);
		double somme =0.0;
		for (int i=0; i<length; i++) {
			double delta = t[i] - moyenne;
			somme += delta*delta;
		}
		return sqrt(somme/(length-1));
	}

};



int main(int argc,char** argv ) { // string[] args) {
	double* tab;
	if (argc <2) {
		cout << "Usage : " << endl
		     << "  Nom du programme suivi d'au moins un nombre rel" << endl 
		     << "  Exemple : MoyenneEcartType 18 12,5 16,1 8 11,7 " << endl;
	}
	else {
		int length = argc-1;
		tab = new double[length];
		cout << "arguments ";
		for (int i=1; i<=length; i++) {
			tab[i] = atof(argv[i]);
			cout << tab[i] << " ";
		}
		cout << endl
		     << "Moyenne : " << MoyenneEcartType::Moyenne(tab, length) << endl
		     << "Ecart-type = " << MoyenneEcartType::EcartType(tab, length) << endl;
		system("pause");
	}
	return 0;
}



